<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::lzp_buffer_kernel_c&lt; lzp_base &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1lzp__buffer__kernel__c.html">lzp_buffer_kernel_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1lzp__buffer__kernel__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::lzp_buffer_kernel_c&lt; lzp_base &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::lzp_buffer_kernel_c&lt; lzp_base &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1lzp__buffer__kernel__c.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa147777b9ff1147808687cd75e468943"><td class="memItemLeft" align="right" valign="top"><a id="aa147777b9ff1147808687cd75e468943"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>lzp_buffer_kernel_c</b> (unsigned long buffer_size)</td></tr>
<tr class="separator:aa147777b9ff1147808687cd75e468943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf4d62e7f7afe4fbd73159ae6790814"><td class="memItemLeft" align="right" valign="top"><a id="aabf4d62e7f7afe4fbd73159ae6790814"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (unsigned long index) const</td></tr>
<tr class="separator:aabf4d62e7f7afe4fbd73159ae6790814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91da425fb8d82950a1925b9b53761d3c"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1lzp__buffer__kernel__c.html#a91da425fb8d82950a1925b9b53761d3c">make_safe</a> (unsigned long buffer_size)</td></tr>
<tr class="separator:a91da425fb8d82950a1925b9b53761d3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a91da425fb8d82950a1925b9b53761d3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91da425fb8d82950a1925b9b53761d3c">&#9670;&nbsp;</a></span>make_safe()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename lzp_base&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classdlib_1_1lzp__buffer__kernel__c.html">dlib::lzp_buffer_kernel_c</a>&lt; lzp_base &gt;::make_safe </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>buffer_size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - if ( 10 &lt; buffer_size &lt; 32) then
        - returns buffer_size
    - else
        - throws due to failed CASSERT
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="lzp__buffer__kernel__c_8h_source.html">lzp_buffer_kernel_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
